Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
sign-typed-data
Sign Typed Data
curl --request POST \
  --url https://api.beta.getpara.com/v1/wallets/{walletId}/sign-typed-data \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "typedData": {
    "domain": {
      "name": "MyDApp",
      "version": "1",
      "chainId": 11155111,
      "verifyingContract": "0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC"
    },
    "types": {
      "Mail": [
        {
          "name": "from",
          "type": "address"
        },
        {
          "name": "to",
          "type": "address"
        },
        {
          "name": "contents",
          "type": "string"
        }
      ]
    },
    "primaryType": "Mail",
    "message": {
      "from": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
      "to": "0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC",
      "contents": "Hello, world!"
    }
  }
}
'
import requests

url = "https://api.beta.getpara.com/v1/wallets/{walletId}/sign-typed-data"

payload = { "typedData": {
"domain": {
"name": "MyDApp",
"version": "1",
"chainId": 11155111,
"verifyingContract": "0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC"
},
"types": { "Mail": [
{
"name": "from",
"type": "address"
},
{
"name": "to",
"type": "address"
},
{
"name": "contents",
"type": "string"
}
] },
"primaryType": "Mail",
"message": {
"from": "0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B",
"to": "0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC",
"contents": "Hello, world!"
}
} }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
typedData: {
domain: {
name: 'MyDApp',
version: '1',
chainId: 11155111,
verifyingContract: '0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC'
},
types: {
Mail: [
{name: 'from', type: 'address'},
{name: 'to', type: 'address'},
{name: 'contents', type: 'string'}
]
},
primaryType: 'Mail',
message: {
from: '0xAb5801a7D398351b8bE11C439e05C5B3259aeC9B',
to: '0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC',
contents: 'Hello, world!'
}
}
})
};

fetch('https://api.beta.getpara.com/v1/wallets/{walletId}/sign-typed-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "signature": "a1b2c3d4e5f6..."
}

Authorizations

X-API-Key
string
header
default:sk_your_secret_key_here
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Idempotency-Key
string

Unique key for safe retries on POST endpoints. If a request with the same key is received within 24 hours, the original response is returned without re-executing. Recommended format: UUID v4. Max length 256 characters. Returns 422 if the same key is reused with a different request body. Returns 409 if a request with the same key is still being processed.

Maximum string length: 256

Path Parameters

walletId
string
required

Wallet ID

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Body

application/json
typedData
object
required

Response

Signature

signature
string
required

Hex-encoded signature without 0x prefix.

Example:

"a1b2c3d4e5f6..."